summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rw-r--r--source/a/etc/_etc/etc/profile.new11
-rwxr-xr-xsource/a/etc/etc.SlackBuild2
-rw-r--r--source/a/less/doinst.sh17
-rwxr-xr-xsource/a/less/less.SlackBuild12
-rw-r--r--source/a/less/less.csh18
-rw-r--r--source/a/less/less.sh18
-rw-r--r--source/a/less/lesspipe.log.patch21
-rwxr-xr-xsource/x/mesa/mesa.SlackBuild2
-rwxr-xr-xsource/xap/pavucontrol/pavucontrol.SlackBuild35
9 files changed, 112 insertions, 24 deletions
diff --git a/source/a/etc/_etc/etc/profile.new b/source/a/etc/_etc/etc/profile.new
index 9cfc74aa0..73a6c9993 100644
--- a/source/a/etc/_etc/etc/profile.new
+++ b/source/a/etc/_etc/etc/profile.new
@@ -4,15 +4,6 @@
# Set the values for some environment variables:
export MINICOM="-c on"
export HOSTNAME="`cat /etc/HOSTNAME`"
-export LESSOPEN="|lesspipe.sh %s"
-# Setting a default $LESS was something inherited from SLS many years ago,
-# but apparently the previous setting of "-M" causes display issues with
-# some programs (i.e. git log). Adding "-R" as well fixes this, but some
-# folks have concerns about the security of this option (I think it's
-# actually "-r" that's the dangerous one). Anyway, it might be best to just
-# leave this unset by default. Uncomment it if you like, or set up your
-# own definition or aliases on a per-account basis.
-#export LESS="-M -R"
# If the user doesn't have a .inputrc, use the one in /etc.
if [ ! -r "$HOME/.inputrc" ]; then
@@ -63,7 +54,7 @@ else
PS1='\u@\h:\w\$ '
fi
PS2='> '
-export PATH DISPLAY LESS TERM PS1 PS2
+export PATH DISPLAY TERM PS1 PS2
# Default umask. A umask of 022 prevents new files from being created group
# and world writable.
diff --git a/source/a/etc/etc.SlackBuild b/source/a/etc/etc.SlackBuild
index f958d7628..82526efd0 100755
--- a/source/a/etc/etc.SlackBuild
+++ b/source/a/etc/etc.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=etc
VERSION=15.1
-BUILD=${BUILD:-11}
+BUILD=${BUILD:-12}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/a/less/doinst.sh b/source/a/less/doinst.sh
new file mode 100644
index 000000000..8fca10a6f
--- /dev/null
+++ b/source/a/less/doinst.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/profile.d/less.csh.new
+config etc/profile.d/less.sh.new
+
diff --git a/source/a/less/less.SlackBuild b/source/a/less/less.SlackBuild
index 0131363db..7716c2e7d 100755
--- a/source/a/less/less.SlackBuild
+++ b/source/a/less/less.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=less
VERSION=${VERSION:-$(echo less-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
LESSPIPEVER=$(echo lesspipe-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -131,6 +131,8 @@ find . \
-exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Don't use special handling for .log files:
+cat $CWD/lesspipe.log.patch | patch -p1 --verbose || exit 1
./configure --prefix=/usr || exit 1
make
make install DESTDIR=$PKG
@@ -143,6 +145,13 @@ mkdir -p $PKG/usr/doc/lesspipe-${LESSPIPEVER}
cp -a COPYING* ChangeLog* INSTALL* README* \
$PKG/usr/doc/lesspipe-${LESSPIPEVER}
+# Install profile scripts:
+mkdir -p $PKG/etc/profile.d
+cp -a $CWD/less.csh $PKG/etc/profile.d/less.csh.new
+cp -a $CWD/less.sh $PKG/etc/profile.d/less.sh.new
+chown root:root $PKG/etc/profile.d/*
+chmod 755 $PKG/etc/profile.d/*
+
# Compress and link manpages, if any:
if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
@@ -164,6 +173,7 @@ fi
)
mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package:
diff --git a/source/a/less/less.csh b/source/a/less/less.csh
new file mode 100644
index 000000000..7c13543bf
--- /dev/null
+++ b/source/a/less/less.csh
@@ -0,0 +1,18 @@
+# Set profile variables for less and lesspipe.sh.
+
+# Setting a default $LESS was something inherited from SLS many years ago,
+# but apparently the previous setting of "-M" causes display issues with
+# some programs (i.e. git log). Adding "-R" as well fixes this, but some
+# folks have concerns about the security of this option (I think it's
+# actually "-r" that's the dangerous one). Anyway, it might be best to just
+# leave this unset by default. Uncomment it if you like, or set up your
+# own definition or aliases on a per-account basis.
+#setenv LESS "-M -R"
+
+# Use lesspipe.sh (see man lesspipe):
+setenv LESSOPEN "|lesspipe.sh %s"
+
+# Suppress the "informal messages" in the first line of the lesspipe output.
+# If you like these, comment this line out.
+setenv LESSQUIET true
+
diff --git a/source/a/less/less.sh b/source/a/less/less.sh
new file mode 100644
index 000000000..a924ead0b
--- /dev/null
+++ b/source/a/less/less.sh
@@ -0,0 +1,18 @@
+# Set profile variables for less and lesspipe.sh.
+
+# Setting a default $LESS was something inherited from SLS many years ago,
+# but apparently the previous setting of "-M" causes display issues with
+# some programs (i.e. git log). Adding "-R" as well fixes this, but some
+# folks have concerns about the security of this option (I think it's
+# actually "-r" that's the dangerous one). Anyway, it might be best to just
+# leave this unset by default. Uncomment it if you like, or set up your
+# own definition or aliases on a per-account basis.
+#export LESS="-M -R"
+
+# Use lesspipe.sh (see man lesspipe):
+export LESSOPEN="|lesspipe.sh %s"
+
+# Suppress the "informal messages" in the first line of the lesspipe output.
+# If you like these, comment this line out.
+export LESSQUIET=true
+
diff --git a/source/a/less/lesspipe.log.patch b/source/a/less/lesspipe.log.patch
new file mode 100644
index 000000000..87dca2d97
--- /dev/null
+++ b/source/a/less/lesspipe.log.patch
@@ -0,0 +1,21 @@
+From 355e96d89fb8ec649f4fce7650cbdd5a684035fb Mon Sep 17 00:00:00 2001
+From: Patrick J. Volkerding <volkerdi@slackware.com>
+Date: Thu May 23 18:30:51 UTC 2024
+Subject: [PATCH] Ignore .log extension
+
+Without this patch, a log file (which should be a text file) that is
+compressed will not be uncompressed and you'll get the usual warning
+from less that the content might be binary, and the log file will not
+be visible. Removing the special handling for .log, everything works.
+
+--- ./lesspipe.sh.orig 2024-05-10 13:48:19.000000000 -0500
++++ ./lesspipe.sh 2024-05-23 13:28:25.917030712 -0500
+@@ -140,7 +140,7 @@
+ if [[ $fchar != binary ]]; then
+ # text only file formats
+ case "$fext" in
+- html|htm|xml|pod|log)
++ html|htm|xml|pod)
+ ftype="$fext" ;;
+ pm)
+ ftype=perl ;;
diff --git a/source/x/mesa/mesa.SlackBuild b/source/x/mesa/mesa.SlackBuild
index d36d456b9..96a868f1c 100755
--- a/source/x/mesa/mesa.SlackBuild
+++ b/source/x/mesa/mesa.SlackBuild
@@ -138,7 +138,7 @@ meson setup \
-Dvulkan-drivers=amd,intel,intel_hasvk,swrast \
-Dvulkan-layers=device-select,intel-nullhw,overlay \
-Dvideo-codecs="$CODECS" \
- -Dglvnd=true \
+ -Dglvnd=enabled \
-Dllvm=enabled \
-Dshared-llvm=enabled \
-Dshared-glapi=enabled \
diff --git a/source/xap/pavucontrol/pavucontrol.SlackBuild b/source/xap/pavucontrol/pavucontrol.SlackBuild
index db8b576ba..ba9f78fb7 100755
--- a/source/xap/pavucontrol/pavucontrol.SlackBuild
+++ b/source/xap/pavucontrol/pavucontrol.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2015, 2018, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -76,25 +76,38 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS -std=c++11" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --build=$ARCH-slackware-linux || exit 1
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
+# move this stuff
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/pavucontrol $PKG/usr/doc/$PKGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a COPYING* doc/README* LICENSE $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a LICENSE* $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc